Package it.ernytech.tdlib

## Class TdApi.SendMessageAlbum

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendMessageAlbum

Enclosing class:
  TdApi

    public static class TdApi.SendMessageAlbum
    extends TdApi.Function

Sends messages grouped together into an album. Currently only photo and video messages can be grouped into an album. Returns sent messages.

Returns `Messages`

### Field Summary

Fields
`long` `chatId` Target chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableNotification` Pass true to disable notification for the messages.
`boolean` `fromBackground` Pass true if the messages are sent from the background.
`TdApi.InputMessageContent[]` `inputMessageContents` Contents of messages to be sent.
`long` `replyToMessageId` Identifier of a message to reply to or 0.

### Constructor Summary

Constructors
`SendMessageAlbum()` Default constructor.
`SendMessageAlbum​(long chatId, long replyToMessageId, boolean disableNotification, boolean fromBackground, TdApi.InputMessageContent[] inputMessageContents)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Target chat.

#### replyToMessageId

    public long replyToMessageId

Identifier of a message to reply to or 0.

#### disableNotification

    public boolean disableNotification

Pass true to disable notification for the messages. Not supported in secret chats.

#### fromBackground

    public boolean fromBackground

Pass true if the messages are sent from the background.

#### inputMessageContents

    public TdApi.InputMessageContent[] inputMessageContents

Contents of messages to be sent.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendMessageAlbum

    public SendMessageAlbum()

Default constructor.

#### SendMessageAlbum

    public SendMessageAlbum​(long chatId,
                            long replyToMessageId,
                            boolean disableNotification,
                            boolean fromBackground,
                            TdApi.InputMessageContent[] inputMessageContents)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Target chat.
  `replyToMessageId` - Identifier of a message to reply to or 0.
  `disableNotification` - Pass true to disable notification for the messages. Not supported in secret chats.
  `fromBackground` - Pass true if the messages are sent from the background.
  `inputMessageContents` - Contents of messages to be sent.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR